/* The Modal (background) */
.count-modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 3000; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
}

/* Modal Content/Box */
.count-modal-content {
  background-image: url('../img/bgs/countdown-bg-pn_v1.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  display: flex;
  flex-direction: column;
  /* margin: 15% auto; */
  margin-top: 200px;
  margin-left: auto;
  margin-right: auto;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 0;
  border: 2px solid #a1409b;
  max-width: 700px; /* Could be more or less, depending on screen size */
  height: 400px;
  border-radius: 15px;
}

.time-count-area {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 30px;
  padding: auto;
}

.time-count {
  font-size: 80px;
  background-image: linear-gradient(
    180deg,
    rgba(246, 248, 239) 24.52%,
    #807e7e 52.9%
  );
  line-height: 1;
  filter: drop-shadow(1px 1px rgb(90, 89, 89));
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-family: 'archery_black_roundedregular';
}
@media (max-width: 700px) {
  .count-modal-content {
    margin-left: 10px;
    margin-right: 10px;
  }
  .time-count {
    font-size: 60px;
  }
}
.text-next {
  color: yellow;
  font-size: 20px;
  -webkit-text-stroke-width: 0.4px;
  -webkit-text-stroke-color: #f10404;
  letter-spacing: 3px;
}

.text-detail {
  margin-left: 10px;
  margin-right: 10px;
  margin-top: 15px;
  word-break: break-all;
}

.purchase-button {
  background-color: #8c66bd;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 180px;
  height: 40px;
  font-size: 16px;
  font-weight: 700;
  border-radius: 30px;
  margin-top: 20px;
  cursor: pointer;
  color: white;
}

/* The Close Button */
.close {
  display: flex;
  color: rgb(211, 190, 207);
  float: right;
  font-size: 36px;
  justify-content: end;
}
.fa-times-thin:before {
  content: '\00d7';
}

.close:hover,
.close:focus {
  color: rgb(94, 5, 76);
  text-decoration: none;
  cursor: pointer;
}
